## libopensplice67 6.7.180404+osrf1-2~bionic

=== build/docs/Makefile ===

MODULE    = Documentation
PRE_RULES = xml generate
COMPS = NETWORK_CHANNELS BANDWIDTH_LIMITING NETWORK_PARTITIONS ENCRYPTION SSL

.PHONY: generate
generate:
	$(MAKE) -C ConfGuide html

	$(MAKE) -C GettingStartedGuide html
	$(MAKE) -C GettingStartedGuide latexpdf

	$(MAKE) -C RMIGettingStarted html
	$(MAKE) -C RMIGettingStarted latexpdf

	$(MAKE) -C GPBTutorial html
	$(MAKE) -C GPBTutorial latexpdf

	$(MAKE) -C DDSTutorial html
	$(MAKE) -C DDSTutorial latexpdf

	$(MAKE) -C EvaluationGuide html
	$(MAKE) -C EvaluationGuide latexpdf

	$(MAKE) -C NodeMonitorGuide html
	$(MAKE) -C NodeMonitorGuide latexpdf

	$(MAKE) -C DeploymentGuide html
	$(MAKE) -C DeploymentGuide latexpdf

	$(MAKE) -C IDLPreProcGuide html
	$(MAKE) -C IDLPreProcGuide latexpdf

	$(MAKE) -C RnRAPIReference html
	$(MAKE) -C RnRAPIReference latexpdf

	$(MAKE) -C TesterUserGuide html
	$(MAKE) -C TesterUserGuide latexpdf

	$(MAKE) -C RnRManagerGuide html
	$(MAKE) -C RnRManagerGuide latexpdf

	$(MAKE) -C StreamsAPIReference html
	$(MAKE) -C StreamsAPIReference latexpdf

	$(MAKE) -C ModelingGuide html
	$(MAKE) -C ModelingGuide latexpdf

docclean:
	$(MAKE) -C ConfGuide clean
	$(MAKE) -C GettingStartedGuide clean
	$(MAKE) -C RMIGettingStarted clean
	$(MAKE) -C GPBTutorial clean
	$(MAKE) -C DDSTutorial clean
	$(MAKE) -C EvaluationGuide clean
	$(MAKE) -C NodeMonitorGuide clean
	$(MAKE) -C DeploymentGuide clean
	$(MAKE) -C IDLPreProcGuide clean
	$(MAKE) -C RnRAPIReference clean
	$(MAKE) -C TesterUserGuide clean
	$(MAKE) -C RnRManagerGuide clean
	$(MAKE) -C StreamsAPIReference clean
	$(MAKE) -C ModelingGuide clean

	rm -rf configuide/source/ddsi2e.xml

.PHONY: xml
xml: ConfGuide/source/config.xml

ConfGuide/source/config.xml: $(OSPL_HOME)/src/tools/cm/config/code/splice_metaconfig_6.1.xml
	$(OSPL_HOME)/build/docs/extract.py $(OSPL_HOME)/src/tools/cm/config/code/splice_metaconfig_6.1.xml osplconf  
	mv osplconf.xml ConfGuide/source

=== debian/changelog ===
libopensplice67 (6.7.180404+osrf1-2~bionic) bionic; urgency=medium

  * libopensplice67 6.7.180404+osrf1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Feb 2021 13:54:30 +0100

libopensplice67 (6.7.180404+osrf1-1~bionic) bionic; urgency=medium

  * libopensplice67 6.7.180404+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Apr 2018 18:17:57 +0200

## libopensplice67 6.7.180404+osrf1-2~xenial

=== CMakeLists.txt ===
# Minimal CMake wrapper for the opensplice build
cmake_minimum_required(VERSION 3.5)
project(opensplice)

include (TargetArch.cmake)
target_architecture(ARCH)

if(APPLE)
  set(platform "x86_64.darwin10_clang-release")
elseif(WIN32)
  message(FATAL_ERROR "Windows not yet supported")
else()
  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(ARCH STREQUAL "i386" OR ARCH STREQUAL "x86_64")
      set(_build_suffix "-debug")
    else()
      set(_build_suffix "-dev")
    endif()
  else()
    set(_build_suffix "-release")
  endif()
  if (ARCH STREQUAL "i386")
    set(platform "x86.linux${_build_suffix}")
  elseif (ARCH STREQUAL "armv7")
    set(platform "armv7l.linux${_build_suffix}")
  elseif (ARCH STREQUAL "armv8") # armv8 works with armv7l profile
    set(platform "armv7l.linux${_build_suffix}")
  elseif (ARCH STREQUAL "aarch64") # aarch64 works with armv7l profile
    set(platform "armv7l.linux${_build_suffix}")
  elseif (ARCH STREQUAL "x86_64")
    set(platform "x86_64.linux${_build_suffix}")
  else()
    message(FATAL_ERROR "Plaform unsupported: ${ARCH}")
  endif()
endif()

message(STATUS "Building for arch: ${ARCH} (profile: ${platform})")

# To build, run our bash wrapper script
add_custom_target(build ALL
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/minimal_build.sh ${platform}
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

# To install, cherry-pick some stuff
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/lib/
        DESTINATION lib)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/include/
        DESTINATION include)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/etc/
        DESTINATION etc)
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/bin/cppgen ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/bin/idlpp
        DESTINATION bin)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/install/minimal/share/
        DESTINATION share)

# Set up CPack to produce a source tarball.
list (APPEND CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION "6.7.0")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "6")
set(CPACK_PACKAGE_VERSION_MINOR "7")
set(CPACK_PACKAGE_VERSION_PATCH "0")
include(CPack)

=== debian/changelog ===
libopensplice67 (6.7.180404+osrf1-2~xenial) xenial; urgency=medium

  * libopensplice67 6.7.180404+osrf1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Feb 2021 13:54:30 +0100

libopensplice67 (6.7.180404+osrf1-1~xenial) xenial; urgency=medium

  * libopensplice67 6.7.180404+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Apr 2018 18:17:57 +0200

libopensplice67 (6.7.0+osrf2-3~xenial) xenial; urgency=medium

  * libopensplice67 6.7.0+osrf2-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 19 Mar 2018 13:35:17 +0100

libopensplice67 (6.7.0+osrf2-2~xenial) xenial; urgency=medium

  * libopensplice64 6.7.0+osrf2-2 release

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Aug 2017 09:18:00 -0700

libopensplice67 (6.7.0+osrf1-1~xenial) xenial; urgency=medium

  * libopensplice64 6.7.0+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Jul 2017 18:41:51 +0200

libopensplice64 (6.4.0+osrf1-0~xenial) xenial; urgency=medium

  * libopensplice64 6.4.0+osrf1-0 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 May 2016 22:16:59 +0200

libopensplice64 (6.4.0-3~xenial) xenial; urgency=high
 
  * Release 6.4.0-3
 
 -- Brian Gerkey <gerkey@osrfoundation.org>  Sat, 16 Aug 2014 11:48:00 -0700

=== debian/control ===
Source: libopensplice67
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               build-essential,
               debhelper (>= 7.0.50~),
               gawk,
               flex,
               bison,
               perl
Vcs-Browser: https://github.com/osrf/opensplice
Vcs-Git: git://github.com/osrf/opensplice.git
Homepage: http://www.prismtech.com/opensplice

Package: libopensplice67
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libopensplice63, libopensplice64
Replaces: libopensplice64
Provides: 
Description: This is the OpenSplice DDS Community Edition source repository. 
 For build & installation instructions please see 
 http://www.prismtech.com/opensplice/opensplice-dds-community/building
 http://www.opensplice.org/
